<template>
  <div class="search">
    <h1>Search</h1>
    <input type="text" v-model="query" @keyup="getResult(query)" />
    <div v-for="result in results" :key="result.id">
      <p>{{ result.title }}</p>
      <img
        v-bind:src="'http://image.tmdb.org/t/p/w500/' + result.poster_path"
        width="100px"
      />
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "search",
  data() {
    return {
      query: "",
      results: ""
    };
  },
  methods: {
    getResult(query) {
      axios
        .get(
          "https://api.themoviedb.org/3/search/movie?api_key=63049dc214fb33db08a5f1af68e8e3a0&query=" +
            query
        )
        .then(response => {
            debugger
          this.results = response.data.results;
        });
    }
  }
};
</script>
